Bug 1157478 (CVE-2014-7816) - CVE-2014-7816 Undertow: Information disclosure via directory traversal
Summary: CVE-2014-7816 Undertow: Information disclosure via directory traversal
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2014-7816
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1159179
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-27 10:19 UTC by Arun Babu Neelicattu
Modified: 2019-09-29 13:23 UTC (History)
4 users (show)

Fixed In Version: undertow 1.0.17.Final, undertow 1.2.0.Beta3, undertow 1.1.0.CR5
Doc Type: Bug Fix
Doc Text:
It was discovered that Undertow is vulnerable to a directory traversal flaw. A remote attacker could use this flaw to read arbitrary files that are accessible to the user running the Java process.
Clone Of:
Environment:
Last Closed: 2014-10-31 09:26:59 UTC


Attachments (Terms of Use)

Description Arun Babu Neelicattu 2014-10-27 10:19:11 UTC
IssueDescription:

It was discovered that Undertow, when running on Microsoft Windows, is vulnerable to a directory traversal flaw. A remote attacker could use this flaw to read arbitrary files that are accessible to the user running the Java process.

Comment 1 Arun Babu Neelicattu 2014-10-27 10:21:31 UTC
Statement:

Not vulnerable. This issue does not affect any Red Hat product.

Comment 2 Arun Babu Neelicattu 2014-10-27 10:29:56 UTC
Upstream Issue:

https://issues.jboss.org/browse/WFLY-4020
https://issues.jboss.org/browse/UNDERTOW-338

Comment 3 Arun Babu Neelicattu 2014-10-27 10:31:46 UTC
Acknowledgements:

Red Hat would like to thank Roberto Soares of Conviso Application Security for reporting this issue.

Comment 4 Arun Babu Neelicattu 2014-10-28 03:03:27 UTC
It was confirmed that this issue only affects Undertow if running on Windows platform.

Comment 5 Arun Babu Neelicattu 2014-10-31 06:52:51 UTC
Created wildfly tracking bugs for this issue:

Affects: fedora-all [bug 1159179]

Comment 6 Arun Babu Neelicattu 2014-10-31 06:57:18 UTC
Upstream fix commit:

https://github.com/undertow-io/undertow/commit/28f244e63f558ba99a197813cfd5eee461b52b4c

Comment 7 Arun Babu Neelicattu 2014-10-31 07:03:51 UTC
Victims Record:

https://github.com/victims/victims-cve-db/blob/master/database/java/2014/7816.yaml

Comment 8 Jason Shepherd 2015-08-25 07:25:03 UTC
*** Bug 1256438 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.